Subject: bug#16894: 24.1; Text indentation/cursor position messed up.

From: mfrey <[email-masked]>
Date: Fri, 28 Feb 2014 07:40:26 -0500

I'm afraid I can't get this to repeat anymore.  I did a yum erase of emacs and reinstalled emacs-nox (which was emacs 21.4) and now even the newer versions are working properly.  If I ever have this happen again, I'll include the dynamically linked libs it's using too.

Thanks for your time.
Matt Frey

On Feb 28, 2014, at 2:06 AM, Glenn Morris <[email-masked]> wrote:

> Glenn Morris wrote:
> 
>>> Perhaps upgrading Emacs installed some other packages, like curses or
>>> terminfo, which could explain this?
>> 
>> I assume the original Emacs was installed via rpm. It would have the
>> versions of curses, terminfo etc that it requires specified as
>> dependencies. You'd have to do something quite special to break that,
>> and if you did, I imagine you'd get an Emacs that would simply not start
>> (due to missing libraries), as well as a system that was pretty much
>> broken altogether (because a huge number of packages depend on ncurses).
> 
> Oh maybe you are right... If newer versions of curses etc were installed
> by hand, and if LD_LIBRARY_PATH or somesuch was set such that the
> previously installed Emacs happened to find these before the ones it was
> expecting. Seems very unlikely. They'd have to have the same .so
> versions to be found at all. And I don't think that compiling 24.3 on
> RHEL5 needs newer versions of those libraries anyway.
> 
> Anyway, I think there's no way you or I can say what happened on the
> OP's machine.